API / Reference / Card Transactions
List card transactions
GET
https://api.light.inc/v1/card-transactions
Returns a paginated list of card transactions
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Query parameters
-
sortstringSort string in the format
field:direction. To provide multiple sort fields, separate them with commas.Available directions:
asc,desc.Available fields:
companyEntityId,status,performedAt. -
filterstringFilter string in the format
field:operator:value. To provide multiple filters, separate them with commas.Available operators:
eq,ne,in,not_in,gt,gte,lt,lte.- For
inandnot_inoperators, provide multiple values separated by the pipe character (|).
Available fields:
transactionId,cardBalanceAccountId,companyEntityId,cardId,status,performedAt,updatedAt. - For
-
limitinteger · int32Maximum number of items to return. Default is 50, maximum is 200.
-
offsetinteger · int64deprecatedNumber of items to skip before starting to collect the result set. Deprecated, use 'cursor' instead.
-
cursorstringThe cursor position to start returning results from. To opt-in into cursor-based pagination, provide
0for the initial request. For subsequent requests, usenextCursorandprevCursorfrom the previous response to navigate. Cursor values are opaque and should not be constructed manually. -
onlyPostableboolean -
missingDataboolean
Response
-
recordsarray of objectList of records for the current page
-
idstring · uuid -
companyIdstring · uuid -
companyEntityIdstring · uuid -
companyEntityNamestring -
cardBalanceAccountIdstring · uuid -
cardBalanceAccountLabelstring -
cardIdstring · uuid -
cardVendorIdstring · uuid -
cardVendorAvatarUrlstring -
cardVendorNamestring -
cardOwnerNamestring -
cardOwnerIdstring · uuid -
cardLastFourstring -
originalAmountinteger · int64 -
originalCurrencystring -
amountinteger · int64 -
currencystring -
directionstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DEBITCREDIT -
transactionReasonstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACCOUNT_NOT_ACTIVEAMOUNT_LIMIT_EXCEEDEDAPPROVAL_EXPIREDAPPROVEDAUTHENTICATION_FAILEDAUTHENTICATION_REQUIREDBALANCE_ACCOUNT_BLOCKED_BY_RULECALL_REFERRALCANCELLEDCARD_BLOCKEDCARD_CAPTUREDCARD_EXPIREDCARD_LOST_OR_STOLENCARD_RESTRICTEDCARD_VERIFICATION_FAILEDCASHBACK_LIMIT_EXCEEDEDCONTACTLESS_FALLBACKCONTACTLESS_LIMIT_REACHEDCOUNTERPARTY_ACCOUNT_UNAVAILABLECOUNTERPARTY_ADDRESS_REQUIREDCOUNTERPARTY_BANK_UNAVAILABLECRYPTOGRAPHIC_FAILUREDECLINEDDECLINED_BY_BAP_VALIDATIONDECLINED_BY_TRANSACTION_RULEDECLINED_NON_GENERICDOMESTIC_DEBIT_NOT_ALLOWEDDO_NOT_HONORDUPLICATE_TRANSMISSIONFORMAT_ERRORFRAUDHONOR_WITH_IDINSUFFICIENT_FUNDSINTERNAL_TIMEOUTINVALID_ACCOUNTINVALID_AMOUNTINVALID_AUTHORIZATION_LIFECYCLEINVALID_CARDINVALID_ISSUERINVALID_MERCHANTINVALID_TRANSACTIONISSUER_SUSPECTED_FRAUDMOBILE_PIN_REQUIREDNOT_SUBMITTEDNO_ACCOUNT_OF_TYPEOTHERPARTIALLY_APPROVEDPENDINGPIN_INVALIDPIN_NOT_CHANGEDPIN_REQUIREDPIN_TRIES_EXCEEDEDPIN_VALIDATION_NOT_POSSIBLEPROVIDER_ERRORPURCHASE_AMOUNT_ONLY_NO_CASHBACKREFUSED_BY_COUNTERPARTY_BANKREFUSED_BY_CUSTOMERREVOCATION_OF_AUTHROUTE_NOT_FOUNDSCHEME_ADVICESECURITY_VIOLATIONTRANSACTION_NOT_PERMITTEDTRANSFER_INSTRUMENT_NOT_FOUNDTRANSFER_NOT_SUPPORTEDUNKNOWNWITHDRAWAL_AMOUNT_EXCEEDEDWITHDRAWAL_COUNT_EXCEEDED -
purchaseTypestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ATMBALANCE_INQUIRYECOMMERCEPOSRECURRINGUNKNOWNOTHER -
statusstring⚠️ This enum is not exhaustive; new values may be added in the future.
REFUNDEDis a capture in the opposite direction — the reversal of a transaction already in the ledger, not an entry the ledger is missing.One of
AUTHORIZEDDECLINEDCAPTUREDREFUNDEDVOIDEDPOSTED -
typestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
PAYMENTREFUNDOTHER -
merchantobject-
namestring -
cleanNamestring -
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
UNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
zipcodestring -
idstring -
mccstring -
acquirerIdstring -
logoUrlstring
-
-
receiptDocumentKeystring -
linesarray of object-
idstring · uuid -
transactionIdstring · uuid -
companyIdstring · uuid -
accountIdstring · uuid -
accountLabelstring -
taxCodeIdstring · uuid -
taxCodeLabelstring -
costCenterIdstring · uuid -
costCenterNamestring -
amountinteger · int64 -
netAmountinteger · int64 -
descriptionstring -
createdAtstring · date-time -
updatedAtstring · date-time -
customPropertiesarray of object-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-
-
amortizationTemplateIdstring · uuid -
amortizationStartDatestring · date -
amortizationEndDatestring · date
-
-
failureContextobjectFailure context when vendor onboarding fails.
-
namestringThe error name
-
typestringThe error type
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BAD_REQUESTUNAUTHORIZEDFORBIDDENNOT_FOUNDCONFLICTUNPROCESSABLE_CONTENT -
errorsarray of objectList of errors providing details about what went wrong
-
typestringA string code identifying the error type
-
messagestringA human-readable message providing more details about the error
-
patharray of stringOptional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object
-
contextobjectOptional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error
-
-
-
descriptionstring -
performedAtstring · date-time -
exportedAtstring · date-time -
createdAtstring · date-time -
updatedAtstring · date-time -
customPropertiesarray of object-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-
-
-
hasMorebooleanBoolean flag indicating if there are more records available
-
totalinteger · int64deprecatedTotal number of records (only for offset pagination). This field is not guaranteed to be returned and only available for offset pagination, please do not rely on it and migrate to cursor pagination.
-
nextCursorstringCursor for fetching the next page (only for cursor pagination)
-
prevCursorstringCursor for fetching the previous page (only for cursor pagination)